GBINTERP(1)

NAME
gbinterp - Compute equispaced curve from interpolated

SYNOPSIS
gbinterp [options]

DESCRIPTION
Compute the interpolating function of user provided data on a regular mesh. Data are read from standard input as couples (X,Y). The interpolation (x, f(x)) is printed for x in [rmin,rmax]. When rmin=rmax print a single value. With option -I the points where the interpolation is computed are read from a file.

OPTIONS

-n  number of equispaced points (default 10)

-r  set the range 'rmin,rmax' (default full x range)

-I  read interpolation points from a file

-M  the interpolation method: (default 0)

0   linear (requires at least 2 points)

1   cspline (requires at least 3 points)

2   Akima spline (requires at least 5 points)

-O  the type of output: (default 0)

0   interpolation

1   first derivative

2   second derivative

-F  specify the input fields separators (default " \t")

-h  print this help

-v  verbose mode

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.